﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace LoadImage_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        DataTable dt;
        private void Form1_Load(object sender, EventArgs e)
        {
            this.comboBox1.Text = "--Select an Image--";
            this.comboBox1.Items.Add("Image1.jpg");
            this.comboBox1.Items.Add("Image2.jpeg");
            this.comboBox1.Items.Add("Image3.jpg");
        }

        void pageDocument_LocateDataSource(object sender, GrapeCity.ActiveReports.LocateDataSourceEventArgs args)
        {
            args.Data = dt;
        }

        private void ShowReportToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MemoryStream ms = new MemoryStream();
            dynamic img = Image.FromFile("..\\..\\Images\\" + this.comboBox1.SelectedText);
            img.Save(ms, img.RawFormat);
            ms.Position = 0;
            int len = Convert.ToInt32(ms.Length);
            dynamic bytes = new byte[len];
            ms.Read(bytes, 0, len);
            dt = new DataTable();
            dt.Columns.Add(new DataColumn("img", typeof(byte[])));
            dynamic row = dt.NewRow();
            row[0] = bytes;
            dt.Rows.Add(row);

            string file_name = "..\\..\\Report1.rdlx";
            GrapeCity.ActiveReports.PageReport pageReport = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(file_name));
            GrapeCity.ActiveReports.Document.PageDocument pageDocument = new GrapeCity.ActiveReports.Document.PageDocument(pageReport);
            pageDocument.LocateDataSource += new GrapeCity.ActiveReports.LocateDataSourceEventHandler(pageDocument_LocateDataSource);
            viewer1.LoadDocument(pageDocument);
        }
    }
}
